### Name: binit
### Title: Count elements appearing in bins of one or two variables.
### Aliases: binit
### Keywords: methods

### ** Examples

x <- as.big.matrix(matrix(rnorm(40), 20, 2), type="double")
x[1,1] <- NA
x[,]
binit(x, 1:2, list(c(-1,1,5), c(-1,1,2)))
binit(x, 1:2)
binit(x, 1:2, 5)
binit(x, 1)

x <- as.big.matrix(matrix(rnorm(400), 200, 2), type="double")
x[,1] <- x[,1] + 3
x.binit <- binit(x, 1:2)
filled.contour(round(x.binit$rowcenters,2), round(x.binit$colcenters,2),
               x.binit$counts, xlab="Variable 1",
               ylab="Variable 2")



